> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Beautify

> Users upload a face picture (up to the largest five face information in a picture can be processed), accurately locate the five features, to achieve beauty, skin brightening, acne and other beauty functions.



## OpenAPI

````yaml /openapi/face-change.json post /face/beautify
openapi: 3.0.0
info:
  title: Face Transformation
  version: 1.0.0
  description: API reference for Face Transformation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /face/beautify:
    post:
      summary: Beautify
      description: >-
        Users upload a face picture (up to the largest five face information in
        a picture can be processed), accurately locate the five features, to
        achieve beauty, skin brightening, acne and other beauty functions.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Face Beautify Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - image_url
              properties:
                image_url:
                  type: string
                  description: Face Beautify Image Url
                smoothing:
                  type: number
                  description: Face Beautify Smoothing
                whitening:
                  type: number
                  description: Face Beautify Whitening
                face_lifting:
                  type: number
                  description: Face Beautify Face Lifting
                eye_enlarging:
                  type: number
                  description: Face Beautify Eye Enlarging
            example:
              image_url: https://cdn.acedata.cloud/4hfydw.jpg
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  image_url: >-
                    https://faceeffect-1254418846.cos.ap-guangzhou.myqcloud.com/fmu/BeautifyPic/1256437459/4027c868-60e9-40e0-b929-0fdb69dcf3c1
                properties:
                  image_url:
                    type: string
                    description: Face Beautify Response 200 Image Url
          description: Face Beautify Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Face Beautify Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Face Beautify Response 400 Error Message
                      trace_id:
                        type: string
                        description: Face Beautify Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Face Beautify Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Face Beautify Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Face Beautify Response 400 Trace Id 2
          description: Face Beautify Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Face Beautify Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Face Beautify Response 401 Error Message
                      trace_id:
                        type: string
                        description: Face Beautify Response 401 Trace Id
          description: Face Beautify Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Face Beautify Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Face Beautify Response 429 Error Message
                      trace_id:
                        type: string
                        description: Face Beautify Response 429 Trace Id
          description: Face Beautify Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Face Beautify Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Face Beautify Response 500 Error Message
                      trace_id:
                        type: string
                        description: Face Beautify Response 500 Trace Id
          description: Face Beautify Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````